<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MstFloorType extends Model
{
    //
    public static function getData($code='') 
    {
        if($code==''){
            $types = MstFloorType::get();

            $arrResult = array();
            foreach($types as $type){
                 $arrResult[] = ['code' => $type->code, 'name' => $type->name];
            }
            return $arrResult;         
        } else {
            $types = MstFloorType::where('code', '=', $code)->get();
            
            $arrResult = array();
            foreach($types as $type){
                 $arrResult[] = ['code' => $type->code, 'name' => $type->name];
            }
            return $arrResult;
        }
    }
}
